Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.tck
Class DynamicPortTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.mule.tck.AbstractMuleTestCase
                  org.mule.tck.FunctionalTestCase
                      org.mule.tck.DynamicPortTestCase

All Implemented Interfaces:
  junit.framework.Test, org.mule.tck.TestCaseWatchdogTimeoutHandler

    public abstract class DynamicPortTestCase

extends FunctionalTestCase

Extend this class instead of FunctionalTestCase to add dynamic port support to your tests. The test will need to only implement 'getNumPortsToFind' to tell this class how many free test ports to find.

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.tck.AbstractMuleTestCase
`org.mule.tck.AbstractMuleTestCase.TestInfo`

Field Summary

Fields inherited from class org.mule.tck.AbstractMuleTestCase
`callbackCalled, CLASSNAME_ANNOTATIONS_CONFIG_BUILDER, DEFAULT_MULE_TEST_TIMEOUT_SECS, IGNORED_DOT_MULE_DIRS, LOCK_TIMEOUT, logger, muleContext, numPorts, ports, PROPERTY_MULE_TEST_TIMEOUT, RECEIVE_TIMEOUT, TEST_MESSAGE, testTimeoutSecs`

Constructor Summary
`DynamicPortTestCase()`

Method Summary
`protected void` | `doSetUp()`
`protected void` | `doTearDown()`
`protected abstract int` | `getNumPortsToFind()`

Methods inherited from class org.mule.tck.FunctionalTestCase
`getBuilder, getComponent, getComponent, getConfigResources, getFunctionalTestComponent, loadResource, loadResourceAsString`

Methods inherited from class org.mule.tck.AbstractMuleTestCase
`addBuilders, checkPorts, configureMuleContext, createMuleContext, createObject, createObject, createTestInfo, createWatchdog, disposeManager, findFreePorts, getConfigurationResources, getPorts, getSensingNullMessageProcessor, getStartUpProperties, getTestConnector, getTestEvent, getTestEvent, getTestEvent, getTestEvent, getTestEvent, getTestEvent, getTestEventContext, getTestEventContext, getTestInboundEndpoint, getTestInboundEndpoint, getTestInboundEndpoint, getTestInboundEndpoint, getTestInboundEndpoint, getTestInboundEvent, getTestInboundEvent, getTestInboundEvent, getTestInfo, getTestOutboundEndpoint, getTestOutboundEndpoint, getTestOutboundEndpoint, getTestOutboundEndpoint, getTestOutboundEndpoint, getTestService, getTestService, getTestService, getTestSession, getTestTimeoutSecs, getTestTransactedInboundEndpoint, getTestTransformer, getTriggerableMessageSource, getTriggerableMessageSource, giveTheTestSomeTimeToCleanUpAndThenKillIt, handleTimeout, initialiseObject, initTestTimeoutSecs, isDisabledInThisEnvironment, isDisabledInThisEnvironment, isDisposeManagerPerSuite, isExcluded, isGracefulShutdown, isOffline, isPortFree, isStartContext, registerTestMethod, run, runBare, setDisposeManagerPerSuite, setFailOnTimeout, setName, setStartContext, setUp, suitePostTearDown, suitePreSetUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, runTest, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DynamicPortTestCase

    public DynamicPortTestCase()

Method Detail

### getNumPortsToFind

    protected abstract int getNumPortsToFind()

### doSetUp

    protected void doSetUp()
                    throws Exception

  Overrides:
    `doSetUp` in class `org.mule.tck.AbstractMuleTestCase`
  Throws:
    `Exception`

### doTearDown

    protected void doTearDown()
                       throws Exception

  Overrides:
    `doTearDown` in class `org.mule.tck.AbstractMuleTestCase`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.